// Q2 u107061112 王昊文
// Given a matrix A[0:N-1][0:N-1], the infinite-norm of A is define as
//
//              N-1    N-1
// normInf(A) = max (  sum | A[i][j] | )
//              i=0    j=0
//
// Please write a C function to calculate the infinite-norm given matrix A.
// Note that | A[i][j] | means the absolute value of A[i][j].
//
#define N 3
#include <stdio.h>

double normInf(double A[N][N])
{
	int i, j;	// loop index
	double sum = 0;
	double max = 0;
	for (i = 0; i < N; i++) {
		for (j = 0; j < N; j++) {
			if (A[i][j] > 0)
				sum += A[i][j];
			else
				sum -= A[i][j];
		}
		if (sum > max) {
			max = sum;
			sum = 0;
		}
	}
	return max;
}
